> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Hris My Profile

> Returns the full HRIS profile (personal, tax, masked banking, employment, documents, pending changes) for self or an employee.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json GET /hris/get-hris-my-profile
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-hris-my-profile:
    get:
      operationId: getHrisMyProfile
      summary: Get Hris My Profile
      description: >-
        Returns the full HRIS profile (personal, tax, masked banking,
        employment, documents, pending changes) for self or an employee.


        Not available to API keys.
      parameters:
        - name: roleInOrgID
          in: query
          required: false
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetHrisMyProfileResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetHrisMyProfileResponse:
      type: object
      properties:
        roleInOrgID:
          type: string
        orgID:
          type: string
        orgName:
          type: string
        fullName:
          type: string
        email:
          type: string
        role:
          type: string
        profileType:
          type: string
          enum:
            - EMPLOYEE
            - CONTRACTOR
            - OTHER
        status:
          type: string
        title:
          type:
            - string
            - 'null'
        department:
          type:
            - string
            - 'null'
        jobDescription:
          type:
            - string
            - 'null'
        location:
          type:
            - string
            - 'null'
        startDate:
          type:
            - string
            - 'null'
        probationEndDate:
          type:
            - string
            - 'null'
        probationSelectedAtOnboarding:
          type: boolean
        probationRemoved:
          type: boolean
        endDate:
          type:
            - string
            - 'null'
        terminationDate:
          type:
            - string
            - 'null'
        benefitsEndDate:
          type:
            - string
            - 'null'
        pendingTermination:
          type:
            - object
            - 'null'
          properties:
            state:
              type: string
              enum:
                - AWAITING_APPROVAL
                - SCHEDULED
            effectiveDate:
              type:
                - string
                - 'null'
            terminationType:
              type:
                - string
                - 'null'
            terminationSubReason:
              type:
                - string
                - 'null'
            terminationReason:
              type:
                - string
                - 'null'
            requestedByName:
              type:
                - string
                - 'null'
            requestedAt:
              type:
                - string
                - 'null'
          required:
            - state
            - effectiveDate
            - terminationType
            - terminationSubReason
            - terminationReason
            - requestedByName
            - requestedAt
        terminationDetails:
          type:
            - object
            - 'null'
          properties:
            terminationType:
              type:
                - string
                - 'null'
            terminationSubReason:
              type:
                - string
                - 'null'
            terminationReason:
              type:
                - string
                - 'null'
            lastWorkingDay:
              type:
                - string
                - 'null'
            lastDay:
              type:
                - string
                - 'null'
            effectiveAt:
              type:
                - string
                - 'null'
            ptoDaysTaken:
              type:
                - string
                - 'null'
            ptoDaysRemaining:
              type:
                - string
                - 'null'
            leavePolicyType:
              type:
                - string
                - 'null'
            ptoPayoutAtTermination:
              type:
                - string
                - 'null'
            severanceOffered:
              type:
                - boolean
                - 'null'
            severanceDetails:
              type:
                - string
                - 'null'
            pilonDetails:
              type:
                - string
                - 'null'
            performancePlan:
              type:
                - boolean
                - 'null'
            performancePlanDetails:
              type:
                - string
                - 'null'
            benefitsEndDate:
              type:
                - string
                - 'null'
            employeeInformed:
              type:
                - boolean
                - 'null'
            employeeInformedAt:
              type:
                - string
                - 'null'
            alignmentConfirmedAt:
              type:
                - string
                - 'null'
            leavePayoutFlagAcknowledgedAt:
              type:
                - string
                - 'null'
          required:
            - terminationType
            - terminationSubReason
            - terminationReason
            - lastWorkingDay
            - lastDay
            - effectiveAt
            - ptoDaysTaken
            - ptoDaysRemaining
            - leavePolicyType
            - ptoPayoutAtTermination
            - severanceOffered
            - severanceDetails
            - pilonDetails
            - performancePlan
            - performancePlanDetails
            - benefitsEndDate
            - employeeInformed
            - employeeInformedAt
            - alignmentConfirmedAt
            - leavePayoutFlagAcknowledgedAt
        terminationLock:
          type: object
          properties:
            isLocked:
              type: boolean
            canEdit:
              type: boolean
            message:
              type:
                - string
                - 'null'
          required:
            - isLocked
            - canEdit
            - message
        isTerminated:
          type: boolean
        managerName:
          type:
            - string
            - 'null'
        managerEmail:
          type:
            - string
            - 'null'
        managerRoleInOrgID:
          type:
            - string
            - 'null'
        managerResolvedName:
          type:
            - string
            - 'null'
        phoneNumber:
          type:
            - string
            - 'null'
        baseSalary:
          type:
            - string
            - 'null'
        baseSalaryCurrency:
          type:
            - string
            - 'null'
        baseSalaryPaymentType:
          type: string
        baseSalaryTokenTypeID:
          type:
            - string
            - 'null'
        baseSalaryTokenSymbol:
          type:
            - string
            - 'null'
        baseSalaryTokenNetwork:
          type:
            - string
            - 'null'
        signOnBonusAmount:
          type:
            - string
            - 'null'
        signOnBonusCurrency:
          type:
            - string
            - 'null'
        employmentType:
          type:
            - string
            - 'null'
        employmentServiceType:
          type:
            - string
            - 'null'
        remoteHealthEligible:
          type:
            - boolean
            - 'null'
        contractorType:
          type:
            - string
            - 'null'
        hideTokuContractor:
          type: boolean
        isPropTrader:
          type: boolean
        bankAccountPurposesEnabled:
          type: boolean
        contractingType:
          type:
            - string
            - 'null'
        agreementType:
          type:
            - string
            - 'null'
        fixedTermReason:
          type:
            - string
            - 'null'
        workSchedule:
          type:
            - string
            - 'null'
        hoursPerWeek:
          type:
            - string
            - 'null'
        ukDirectorStatus:
          type:
            - string
            - 'null'
          enum:
            - Director
            - Non-Director
            - null
        indiaProvidentFund:
          type:
            - object
            - 'null'
          properties:
            contributionOption:
              type:
                - string
                - 'null'
              enum:
                - STANDARD
                - VOLUNTARY_HIGHER
                - null
          required:
            - contributionOption
        deAssignmentLimit:
          type:
            - object
            - 'null'
          properties:
            startDate:
              type:
                - string
                - 'null'
            limitEndDate:
              type:
                - string
                - 'null'
            historyUnconfirmed:
              type: boolean
            leaseSignatoryName:
              type:
                - string
                - 'null'
            leaseSignatoryEmail:
              type:
                - string
                - 'null'
            canEdit:
              type: boolean
          required:
            - startDate
            - limitEndDate
            - historyUnconfirmed
            - leaseSignatoryName
            - leaseSignatoryEmail
            - canEdit
        continuousServiceDate:
          type:
            - string
            - 'null'
        continuousServiceBasis:
          type:
            - string
            - 'null'
        payFrequency:
          type:
            - string
            - 'null'
        contractEntityID:
          type:
            - string
            - 'null'
        contractEntityName:
          type:
            - string
            - 'null'
        contractEntitySource:
          type: string
          enum:
            - assignment
            - country-default
            - legacy-strings
            - none
        contractEntityAddress:
          type:
            - string
            - 'null'
        contractEntityLocalName:
          type:
            - string
            - 'null'
        contractEntityRegistrationNumber:
          type:
            - string
            - 'null'
        contractEntityCountryDefaultAmbiguous:
          type: boolean
        contractEntityHistory:
          type: array
          items:
            type: object
            properties:
              effectiveDate:
                type:
                  - string
                  - 'null'
              entityName:
                type:
                  - string
                  - 'null'
              previousEntityName:
                type:
                  - string
                  - 'null'
              state:
                type: string
                enum:
                  - APPLIED
                  - SCHEDULED
            required:
              - effectiveDate
              - entityName
              - previousEntityName
              - state
        country:
          type:
            - string
            - 'null'
        countryCode:
          type: string
        taxIdentityCountryCode:
          type:
            - string
            - 'null'
        documents:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              category:
                type: string
              displayName:
                type:
                  - string
                  - 'null'
              fileName:
                type: string
              downloadUrl:
                type:
                  - string
                  - 'null'
              createdAt:
                type: string
              signingStatus:
                type:
                  - string
                  - 'null'
                enum:
                  - NOT_SENT
                  - AWAITING_SIGNATURE
                  - AWAITING_COUNTERSIGNATURE
                  - FINALIZING
                  - SIGNED
                  - DELIVERED
                  - DECLINED
                  - CANCELLED
                  - VOIDED
                  - EXPIRED
                  - SUPERSEDED
                  - null
              documentSource:
                type:
                  - string
                  - 'null'
                enum:
                  - ADMIN_UPLOAD
                  - WORKER_UPLOAD
                  - LEGACY_MIGRATION
                  - LEGACY_SIGNED
                  - LEGACY_VOIDED
                  - LEGACY_DECLINED
                  - LEGACY_UNSIGNED
                  - null
              uploadedByTokuAdminViaSpoof:
                type:
                  - string
                  - 'null'
                enum:
                  - AS_EMPLOYEE
                  - AS_ADMIN
                  - null
              visibleToEmployee:
                type:
                  - boolean
                  - 'null'
              visibleToClientAdmins:
                type:
                  - boolean
                  - 'null'
            required:
              - id
              - category
              - displayName
              - fileName
              - downloadUrl
              - createdAt
              - signingStatus
              - documentSource
              - uploadedByTokuAdminViaSpoof
              - visibleToEmployee
              - visibleToClientAdmins
        bankAccounts:
          type: array
          items:
            type: object
            properties:
              bankAccountHolderAddress:
                type: object
                properties:
                  line1:
                    type:
                      - string
                      - 'null'
                  line2:
                    type:
                      - string
                      - 'null'
                  line3:
                    type:
                      - string
                      - 'null'
                  city:
                    type:
                      - string
                      - 'null'
                  state:
                    type:
                      - string
                      - 'null'
                  postalCode:
                    type:
                      - string
                      - 'null'
                  country:
                    type:
                      - string
                      - 'null'
                required:
                  - line1
                  - line2
                  - line3
                  - city
                  - state
                  - postalCode
                  - country
              bankAddress:
                type: object
                properties:
                  line1:
                    type:
                      - string
                      - 'null'
                  line2:
                    type:
                      - string
                      - 'null'
                  line3:
                    type:
                      - string
                      - 'null'
                  city:
                    type:
                      - string
                      - 'null'
                  state:
                    type:
                      - string
                      - 'null'
                  postalCode:
                    type:
                      - string
                      - 'null'
                  country:
                    type:
                      - string
                      - 'null'
                required:
                  - line1
                  - line2
                  - line3
                  - city
                  - state
                  - postalCode
                  - country
              hrisBankAccountID:
                type: string
              countryCode:
                type: string
              currencyCode:
                type:
                  - string
                  - 'null'
              isPrimary:
                type: boolean
              bankIfscCode:
                type:
                  - string
                  - 'null'
              bankSortCode:
                type:
                  - string
                  - 'null'
              bankBsb:
                type:
                  - string
                  - 'null'
              bankTransitNumber:
                type:
                  - string
                  - 'null'
              bankInstitutionNumber:
                type:
                  - string
                  - 'null'
              bankClabe:
                type:
                  - string
                  - 'null'
              bankCode:
                type:
                  - string
                  - 'null'
              bankBranchCode:
                type:
                  - string
                  - 'null'
              bankCpfNumber:
                type:
                  - string
                  - 'null'
              bankPixKey:
                type:
                  - string
                  - 'null'
              bankAccountHolderName:
                type:
                  - string
                  - 'null'
              bankName:
                type:
                  - string
                  - 'null'
              bankAccountType:
                type:
                  - string
                  - 'null'
              accountProvider:
                type:
                  - string
                  - 'null'
              payoutPurpose:
                type:
                  - string
                  - 'null'
                enum:
                  - INVOICE_FEES
                  - EXPENSE_REIMBURSEMENTS
                  - null
              bankAccountNumber:
                type:
                  - string
                  - 'null'
              bankAccountNumberLastFour:
                type:
                  - string
                  - 'null'
              bankRoutingNumber:
                type:
                  - string
                  - 'null'
              bankIban:
                type:
                  - string
                  - 'null'
              bankIbanLastFour:
                type:
                  - string
                  - 'null'
              bankBicSwiftCode:
                type:
                  - string
                  - 'null'
              bankBicSwiftCodeLastFour:
                type:
                  - string
                  - 'null'
              bankBranch:
                type:
                  - string
                  - 'null'
            required:
              - hrisBankAccountID
              - countryCode
              - currencyCode
              - isPrimary
              - bankIfscCode
              - bankSortCode
              - bankBsb
              - bankTransitNumber
              - bankInstitutionNumber
              - bankClabe
              - bankCode
              - bankBranchCode
              - bankCpfNumber
              - bankPixKey
              - bankAccountHolderName
              - bankName
              - bankAccountType
              - bankAccountNumber
              - bankAccountNumberLastFour
              - bankRoutingNumber
              - bankIban
              - bankIbanLastFour
              - bankBicSwiftCode
              - bankBicSwiftCodeLastFour
              - bankBranch
        archivedBankAccounts:
          type: array
          items:
            type: object
            properties:
              hrisBankAccountId:
                type: string
              bankName:
                type:
                  - string
                  - 'null'
              accountNumberLastFour:
                type:
                  - string
                  - 'null'
              deletedAt:
                type:
                  - string
                  - 'null'
            required:
              - hrisBankAccountId
              - bankName
              - accountNumberLastFour
              - deletedAt
        onboardingData:
          type:
            - object
            - 'null'
          properties:
            businessEntity:
              type:
                - object
                - 'null'
              properties:
                contractingType:
                  type:
                    - string
                    - 'null'
                entityName:
                  type:
                    - string
                    - 'null'
                entityRegisteredAddress:
                  type:
                    - string
                    - 'null'
                entityCountry:
                  type:
                    - string
                    - 'null'
                entityType:
                  type:
                    - string
                    - 'null'
                entityTaxId:
                  type:
                    - string
                    - 'null'
                entityTaxIdNeedsReentry:
                  type: boolean
              required:
                - contractingType
                - entityName
                - entityRegisteredAddress
                - entityCountry
                - entityType
                - entityTaxId
                - entityTaxIdNeedsReentry
            preferredName:
              type:
                - string
                - 'null'
            dateOfBirth:
              type:
                - string
                - 'null'
            gender:
              type:
                - string
                - 'null'
            maritalStatus:
              type:
                - string
                - 'null'
            nationality:
              type:
                - string
                - 'null'
            additionalCitizenship:
              type:
                - string
                - 'null'
            personalEmail:
              type:
                - string
                - 'null'
            address:
              type:
                - object
                - 'null'
              properties:
                line1:
                  type:
                    - string
                    - 'null'
                line2:
                  type:
                    - string
                    - 'null'
                city:
                  type:
                    - string
                    - 'null'
                state:
                  type:
                    - string
                    - 'null'
                postalCode:
                  type:
                    - string
                    - 'null'
                country:
                  type:
                    - string
                    - 'null'
              required:
                - line1
                - line2
                - city
                - state
                - postalCode
                - country
            emergencyContact:
              type:
                - object
                - 'null'
              properties:
                name:
                  type:
                    - string
                    - 'null'
                relationship:
                  type:
                    - string
                    - 'null'
                phone:
                  type:
                    - string
                    - 'null'
                email:
                  type:
                    - string
                    - 'null'
              required:
                - name
                - relationship
                - phone
                - email
            workAuth:
              type:
                - object
                - 'null'
              properties:
                authorizationType:
                  type:
                    - string
                    - 'null'
                authorizationSubType:
                  type:
                    - string
                    - 'null'
                authorizationEvidenceType:
                  type:
                    - string
                    - 'null'
                expiryDate:
                  type:
                    - string
                    - 'null'
                sponsorshipRequested:
                  type:
                    - boolean
                    - 'null'
                sponsorshipNotes:
                  type:
                    - string
                    - 'null'
                documentLastFour:
                  type:
                    - string
                    - 'null'
                verificationConsent:
                  type:
                    - boolean
                    - 'null'
                status:
                  type:
                    - string
                    - 'null'
                workAuthStatus:
                  type:
                    - string
                    - 'null'
                visaType:
                  type:
                    - string
                    - 'null'
                visaExpiryDate:
                  type:
                    - string
                    - 'null'
                immigrationSupportRequested:
                  type:
                    - boolean
                    - 'null'
                immigrationSupportNotes:
                  type:
                    - string
                    - 'null'
              required:
                - authorizationType
                - authorizationSubType
                - authorizationEvidenceType
                - expiryDate
                - sponsorshipRequested
                - sponsorshipNotes
                - documentLastFour
                - verificationConsent
                - status
                - workAuthStatus
                - visaType
                - visaExpiryDate
                - immigrationSupportRequested
                - immigrationSupportNotes
            tax:
              type:
                - object
                - 'null'
              properties:
                taxIdType:
                  type:
                    - string
                    - 'null'
                taxIdLastFour:
                  type:
                    - string
                    - 'null'
                nationalIdType:
                  type:
                    - string
                    - 'null'
                nationalIdLastFour:
                  type:
                    - string
                    - 'null'
                w4FilingStatus:
                  type:
                    - string
                    - 'null'
                stateTaxWithholdingState:
                  type:
                    - string
                    - 'null'
                i9CitizenshipStatus:
                  type:
                    - string
                    - 'null'
                ssnLastFour:
                  type:
                    - string
                    - 'null'
              required:
                - taxIdType
                - taxIdLastFour
                - nationalIdType
                - nationalIdLastFour
                - w4FilingStatus
                - stateTaxWithholdingState
                - i9CitizenshipStatus
                - ssnLastFour
            banking:
              type:
                - object
                - 'null'
              properties:
                countryCode:
                  type:
                    - string
                    - 'null'
                bankIfscCode:
                  type:
                    - string
                    - 'null'
                bankSortCode:
                  type:
                    - string
                    - 'null'
                bankBsb:
                  type:
                    - string
                    - 'null'
                bankTransitNumber:
                  type:
                    - string
                    - 'null'
                bankInstitutionNumber:
                  type:
                    - string
                    - 'null'
                bankClabe:
                  type:
                    - string
                    - 'null'
                bankCode:
                  type:
                    - string
                    - 'null'
                bankBranchCode:
                  type:
                    - string
                    - 'null'
                bankCpfNumber:
                  type:
                    - string
                    - 'null'
                bankPixKey:
                  type:
                    - string
                    - 'null'
                bankAccountHolderName:
                  type:
                    - string
                    - 'null'
                bankName:
                  type:
                    - string
                    - 'null'
                bankAccountType:
                  type:
                    - string
                    - 'null'
                bankAccountNumber:
                  type:
                    - string
                    - 'null'
                bankAccountNumberLastFour:
                  type:
                    - string
                    - 'null'
                bankRoutingNumber:
                  type:
                    - string
                    - 'null'
                bankIban:
                  type:
                    - string
                    - 'null'
                bankIbanLastFour:
                  type:
                    - string
                    - 'null'
                bankBicSwiftCode:
                  type:
                    - string
                    - 'null'
                bankBicSwiftCodeLastFour:
                  type:
                    - string
                    - 'null'
                bankBranch:
                  type:
                    - string
                    - 'null'
                bankAccountHolderAddress:
                  type:
                    - object
                    - 'null'
                  properties:
                    line1:
                      type:
                        - string
                        - 'null'
                    line2:
                      type:
                        - string
                        - 'null'
                    line3:
                      type:
                        - string
                        - 'null'
                    city:
                      type:
                        - string
                        - 'null'
                    state:
                      type:
                        - string
                        - 'null'
                    postalCode:
                      type:
                        - string
                        - 'null'
                    country:
                      type:
                        - string
                        - 'null'
                  required:
                    - line1
                    - line2
                    - line3
                    - city
                    - state
                    - postalCode
                    - country
                bankAddress:
                  type:
                    - object
                    - 'null'
                  properties:
                    line1:
                      type:
                        - string
                        - 'null'
                    line2:
                      type:
                        - string
                        - 'null'
                    line3:
                      type:
                        - string
                        - 'null'
                    city:
                      type:
                        - string
                        - 'null'
                    state:
                      type:
                        - string
                        - 'null'
                    postalCode:
                      type:
                        - string
                        - 'null'
                    country:
                      type:
                        - string
                        - 'null'
                  required:
                    - line1
                    - line2
                    - line3
                    - city
                    - state
                    - postalCode
                    - country
                cryptoWalletAddress:
                  type:
                    - string
                    - 'null'
                cryptoWalletChain:
                  type:
                    - string
                    - 'null'
                cryptoWalletChainIcon:
                  type:
                    - string
                    - 'null'
                cryptoWalletStablecoin:
                  type:
                    - string
                    - 'null'
                cryptoWalletStablecoinIcon:
                  type:
                    - string
                    - 'null'
                cryptoPaymentAmount:
                  type:
                    - string
                    - 'null'
                otherCryptoWalletAddresses:
                  type: array
                  items:
                    type: string
              required:
                - countryCode
                - bankIfscCode
                - bankSortCode
                - bankBsb
                - bankTransitNumber
                - bankInstitutionNumber
                - bankClabe
                - bankCode
                - bankBranchCode
                - bankCpfNumber
                - bankPixKey
                - bankAccountHolderName
                - bankName
                - bankAccountType
                - bankAccountNumber
                - bankAccountNumberLastFour
                - bankRoutingNumber
                - bankIban
                - bankIbanLastFour
                - bankBicSwiftCode
                - bankBicSwiftCodeLastFour
                - bankBranch
                - bankAccountHolderAddress
                - bankAddress
                - cryptoWalletAddress
                - cryptoWalletChain
                - cryptoWalletStablecoin
                - cryptoPaymentAmount
            benefits:
              type:
                - object
                - 'null'
              properties:
                medical:
                  type:
                    - string
                    - 'null'
                dental:
                  type:
                    - string
                    - 'null'
                vision:
                  type:
                    - string
                    - 'null'
                retirement401k:
                  type:
                    - string
                    - 'null'
                lifeInsurance:
                  type:
                    - string
                    - 'null'
              required:
                - medical
                - dental
                - vision
                - retirement401k
                - lifeInsurance
            documents:
              type: array
              items:
                type: object
                properties:
                  id:
                    type: string
                  category:
                    type: string
                  displayName:
                    type:
                      - string
                      - 'null'
                  fileName:
                    type: string
                  createdAt:
                    type: string
                required:
                  - id
                  - category
                  - displayName
                  - fileName
                  - createdAt
            dataConsentGiven:
              type: boolean
            employmentAgreementSigned:
              type: boolean
            handbookAcknowledged:
              type: boolean
          required:
            - businessEntity
            - preferredName
            - dateOfBirth
            - gender
            - maritalStatus
            - nationality
            - additionalCitizenship
            - personalEmail
            - address
            - emergencyContact
            - workAuth
            - tax
            - banking
            - benefits
            - documents
            - dataConsentGiven
            - employmentAgreementSigned
            - handbookAcknowledged
        pendingChanges:
          type: object
          additionalProperties:
            type: object
            properties:
              changeRequestId:
                type: string
              status:
                type: string
              changes:
                type: object
                additionalProperties: {}
              requestedAt:
                type: string
              requestedByName:
                type: string
            required:
              - changeRequestId
              - status
              - changes
              - requestedAt
              - requestedByName
        scheduledChanges:
          type: array
          items:
            type: object
            properties:
              changeRequestId:
                type: string
              category:
                type: string
              status:
                type: string
                enum:
                  - PENDING
                  - SCHEDULED
              changes:
                type: object
                additionalProperties: {}
              effectiveDate:
                type:
                  - string
                  - 'null'
              requestedAt:
                type: string
              requestedByName:
                type: string
              canCancel:
                type: boolean
            required:
              - changeRequestId
              - category
              - status
              - changes
              - effectiveDate
              - requestedAt
              - requestedByName
              - canCancel
        skeleton:
          type: object
          properties:
            personalDetailsReady:
              type: boolean
            compensationReady:
              type: boolean
            documentsReady:
              type: boolean
          required:
            - personalDetailsReady
            - compensationReady
            - documentsReady
        kotaEmployeeID:
          type:
            - integer
            - 'null'
        kotaBenefitsStatus:
          type:
            - object
            - 'null'
          properties:
            enrollmentStatus:
              type: string
            offboardingStatus:
              type: string
            hasKotaEmployeeID:
              type: boolean
            benefitsBannerDismissedAt:
              type:
                - string
                - 'null'
            countryHasQuotaBenefits:
              type: boolean
          required:
            - enrollmentStatus
            - offboardingStatus
            - hasKotaEmployeeID
            - countryHasQuotaBenefits
      required:
        - roleInOrgID
        - orgID
        - orgName
        - fullName
        - email
        - role
        - profileType
        - status
        - title
        - department
        - jobDescription
        - location
        - startDate
        - probationEndDate
        - probationSelectedAtOnboarding
        - probationRemoved
        - endDate
        - terminationDate
        - benefitsEndDate
        - pendingTermination
        - terminationDetails
        - terminationLock
        - isTerminated
        - managerName
        - managerEmail
        - managerRoleInOrgID
        - managerResolvedName
        - phoneNumber
        - baseSalary
        - baseSalaryCurrency
        - baseSalaryPaymentType
        - baseSalaryTokenTypeID
        - baseSalaryTokenSymbol
        - baseSalaryTokenNetwork
        - signOnBonusAmount
        - signOnBonusCurrency
        - employmentType
        - employmentServiceType
        - remoteHealthEligible
        - contractorType
        - hideTokuContractor
        - isPropTrader
        - bankAccountPurposesEnabled
        - contractingType
        - agreementType
        - fixedTermReason
        - workSchedule
        - hoursPerWeek
        - ukDirectorStatus
        - indiaProvidentFund
        - deAssignmentLimit
        - continuousServiceDate
        - continuousServiceBasis
        - payFrequency
        - contractEntityID
        - contractEntityName
        - contractEntitySource
        - contractEntityAddress
        - contractEntityLocalName
        - contractEntityRegistrationNumber
        - contractEntityCountryDefaultAmbiguous
        - contractEntityHistory
        - country
        - countryCode
        - taxIdentityCountryCode
        - documents
        - bankAccounts
        - archivedBankAccounts
        - onboardingData
        - pendingChanges
        - scheduledChanges
        - skeleton
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
